run {gistr} | R Documentation

## Run a .Rmd file

### Description

Run a .Rmd file

### Usage

    run(x, filename = "code.R", knitopts = list())

### Arguments

`x` | Input, one of: code wrapped in curly brackets and quotes, a file path to an .Rmd file, or a gist.
`filename` | Name of the file to create, only used if `code` parameter is used. Default to `code.R`
`knitopts` | (list) List of variables passed on to `link[knitr]{knit}`

### Value

A path, unless a gist object is passed in, in which case a gist object is returned.

### Examples

    ## Not run:
    # run a local file
    file <- system.file("examples", "stuff.Rmd", package = "gistr")
    run(file) %>% gist_create

    # run code
    run({'
    ```{r}
    x <- letters
    (numbers <- runif(8))
    ```
    '}) %>% gist_create

    # run a file from a gist, has to get file first
    gists('minepublic')[[2]] %>% run() %>% update()

    ## End(Not run)

[Package gistr version 0.4.0 Index]